org.jboss.jca.common.metadata.resourceadapter

## Class ActivationImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.resourceadapter.ActivationImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.resourceadapter.Activation

      public class ActivationImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.resourceadapter.Activation

  A resource adapter activation
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.resourceadapter.Activation

      `org.jboss.jca.common.api.metadata.resourceadapter.Activation.Attribute, org.jboss.jca.common.api.metadata.resourceadapter.Activation.Tag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.AdminObject>` | `adminObjects` adminObjects
    `protected java.lang.String` | `archive` archive
    `protected java.util.List<java.lang.String>` | `beanValidationGroups` beanValidationGroups
    `protected java.lang.String` | `bootstrapContext` bootstrapContext
    `protected java.util.Map<java.lang.String,java.lang.String>` | `configProperties` configProperties
    `protected java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition>` | `connectionDefinitions` connectionDefinitions
    `protected java.lang.String` | `id` id
    `protected org.jboss.jca.common.api.metadata.common.TransactionSupportEnum` | `transactionSupport` transactionSupport
    `protected org.jboss.jca.common.api.metadata.resourceadapter.WorkManager` | `workmanager` workmanager

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivationImpl(java.lang.String id, java.lang.String archive, org.jboss.jca.common.api.metadata.common.TransactionSupportEnum transactionSupport, java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition> connectionDefinitions, java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.AdminObject> adminObjects, java.util.Map<java.lang.String,java.lang.String> configProperties, java.util.List<java.lang.String> beanValidationGroups, java.lang.String bootstrapContext, org.jboss.jca.common.api.metadata.resourceadapter.WorkManager workmanager)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.AdminObject>` | `getAdminObjects()` Get the adminObjects.
    `java.lang.String` | `getArchive()` Get the archive.
    `java.util.List<java.lang.String>` | `getBeanValidationGroups()` Get the beanValidationGroups.
    `java.lang.String` | `getBootstrapContext()` Get the bootstrapContext.
    `java.util.Map<java.lang.String,java.lang.String>` | `getConfigProperties()` Get the configProperties.
    `java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition>` | `getConnectionDefinitions()` Get the connectionFactories.
    `java.lang.String` | `getId()` Get the id.
    `org.jboss.jca.common.api.metadata.common.TransactionSupportEnum` | `getTransactionSupport()` Get the transactionSupport.
    `org.jboss.jca.common.api.metadata.resourceadapter.WorkManager` | `getWorkManager()` Get the WorkManager
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### transactionSupport

          protected org.jboss.jca.common.api.metadata.common.TransactionSupportEnum transactionSupport

      transactionSupport

    - #### configProperties

          protected java.util.Map<java.lang.String,java.lang.String> configProperties

      configProperties

    - #### adminObjects

          protected java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.AdminObject> adminObjects

      adminObjects

    - #### connectionDefinitions

          protected java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition> connectionDefinitions

      connectionDefinitions

    - #### beanValidationGroups

          protected java.util.List<java.lang.String> beanValidationGroups

      beanValidationGroups

    - #### bootstrapContext

          protected java.lang.String bootstrapContext

      bootstrapContext

    - #### archive

          protected java.lang.String archive

      archive

    - #### id

          protected java.lang.String id

      id

    - #### workmanager

          protected org.jboss.jca.common.api.metadata.resourceadapter.WorkManager workmanager

      workmanager

  - ### Constructor Detail

    - #### ActivationImpl

          public ActivationImpl(java.lang.String id,
                                java.lang.String archive,
                                org.jboss.jca.common.api.metadata.common.TransactionSupportEnum transactionSupport,
                                java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition> connectionDefinitions,
                                java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.AdminObject> adminObjects,
                                java.util.Map<java.lang.String,java.lang.String> configProperties,
                                java.util.List<java.lang.String> beanValidationGroups,
                                java.lang.String bootstrapContext,
                                org.jboss.jca.common.api.metadata.resourceadapter.WorkManager workmanager)

      Constructor
      Parameters:
        `id` - The id
        `archive` - archive
        `transactionSupport` - transactionSupport
        `connectionDefinitions` - connectionDefinitions
        `adminObjects` - adminObjects
        `configProperties` - configProperties
        `beanValidationGroups` - beanValidationGroups
        `bootstrapContext` - bootstrapContext
        `workmanager` - workmanager

  - ### Method Detail

    - #### getTransactionSupport

          public org.jboss.jca.common.api.metadata.common.TransactionSupportEnum getTransactionSupport()

      Get the transactionSupport.
      Specified by:
        `getTransactionSupport` in interface `org.jboss.jca.common.api.metadata.resourceadapter.Activation`
      Returns:
        the transactionSupport.

    - #### getConnectionDefinitions

          public java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition> getConnectionDefinitions()

      Get the connectionFactories.
      Specified by:
        `getConnectionDefinitions` in interface `org.jboss.jca.common.api.metadata.resourceadapter.Activation`
      Returns:
        the connectionFactories.

    - #### getAdminObjects

          public java.util.List<org.jboss.jca.common.api.metadata.resourceadapter.AdminObject> getAdminObjects()

      Get the adminObjects.
      Specified by:
        `getAdminObjects` in interface `org.jboss.jca.common.api.metadata.resourceadapter.Activation`
      Returns:
        the adminObjects.

    - #### getConfigProperties

          public java.util.Map<java.lang.String,java.lang.String> getConfigProperties()

      Get the configProperties.
      Specified by:
        `getConfigProperties` in interface `org.jboss.jca.common.api.metadata.resourceadapter.Activation`
      Returns:
        the configProperties.

    - #### getBeanValidationGroups

          public java.util.List<java.lang.String> getBeanValidationGroups()

      Get the beanValidationGroups.
      Specified by:
        `getBeanValidationGroups` in interface `org.jboss.jca.common.api.metadata.resourceadapter.Activation`
      Returns:
        the beanValidationGroups.

    - #### getBootstrapContext

          public java.lang.String getBootstrapContext()

      Get the bootstrapContext.
      Specified by:
        `getBootstrapContext` in interface `org.jboss.jca.common.api.metadata.resourceadapter.Activation`
      Returns:
        the bootstrapContext.

    - #### getId

          public java.lang.String getId()

      Get the id.
      Specified by:
        `getId` in interface `org.jboss.jca.common.api.metadata.resourceadapter.Activation`
      Returns:
        the value.

    - #### getArchive

          public java.lang.String getArchive()

      Get the archive.
      Specified by:
        `getArchive` in interface `org.jboss.jca.common.api.metadata.resourceadapter.Activation`
      Returns:
        the archive.

    - #### getWorkManager

          public org.jboss.jca.common.api.metadata.resourceadapter.WorkManager getWorkManager()

      Get the WorkManager
      Specified by:
        `getWorkManager` in interface `org.jboss.jca.common.api.metadata.resourceadapter.Activation`
      Returns:
        The value

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)